<?php
/**
 * montonio/module-hire-purchase
 *
 * @category   montonio
 * @package    module-hire-purchase
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
declare(strict_types=1);

namespace Montonio\Hirepurchase\Gateway\Payments\ResponseHandler;

use Magento\Sales\Api\Data\OrderInterface;

/**
 * Interface for response handlers.
 */
interface ResponseHandlerInterface
{
    /**
     * Process response data.
     *
     * @param OrderInterface $order
     * @param array $data
     *
     * @return void
     */
    public function handle(OrderInterface $order, array $data): void;
}
